SDL_FillSurfaceRect(3)

NAME
SDL_FillSurfaceRect - Perform a fast fill of a rectangle with a specific color.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_FillSurfaceRect(SDL_Surface *dst, const SDL_Rect *rect, Uint32 color);

DESCRIPTION

color should be a pixel of the format used by the surface, and can be generated by SDL_MapRGB() or SDL_MapRGBA(). If the color value contains an alpha component then the destination is simply filled with that alpha information, no blending takes place.

If there is a clip rectangle set on the destination (set via SDL_SetSurfaceClipRect()), then this function will fill based on the intersection of the clip rectangle and rect.

FUNCTION PARAMETERS

dst the SDL_Surface structure that is the drawing target.

rect
    the SDL_Rect structure representing the rectangle to fill, or NULL to fill the entire surface.

color
    the color to fill with.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_FillSurfaceRects(3)